Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.events
Class EventFormatter

    java.lang.Object
      org.apache.fop.events.EventFormatter

    public final class EventFormatter

extends java.lang.Object

Converts events into human-readable, localized messages.

Nested Class Summary
`static class` | `EventFormatter.LookupFieldPartFactory` PartFactory for lookups.

Method Summary
`static java.lang.String` | `format(Event event)` Formats an event using the default locale.
`static java.lang.String` | `format(Event event, java.util.Locale locale)` Formats an event using a given locale.
`static java.lang.String` | `format(Event event, java.lang.String pattern)` Formats the event using a given pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### format

    public static java.lang.String format(Event event)

  Formats an event using the default locale.

  Parameters:
    `event` - the event
  Returns:
    the formatted message

### format

    public static java.lang.String format(Event event,
                                          java.util.Locale locale)

  Formats an event using a given locale.

  Parameters:
    `event` - the event
    `locale` - the locale
  Returns:
    the formatted message

### format

    public static java.lang.String format(Event event,
                                          java.lang.String pattern)

  Formats the event using a given pattern. The pattern needs to be compatible with `AdvancedMessageFormat`.

  Parameters:
    `event` - the event
    `pattern` - the pattern (compatible with `AdvancedMessageFormat`)
  Returns:
    the formatted message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.